qpid-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Robbie Gemmell (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (QPID-5702) upgrade JUnit version from 3.8.1 to 4.11
Date Thu, 24 Apr 2014 08:57:18 GMT

     [ https://issues.apache.org/jira/browse/QPID-5702?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Robbie Gemmell resolved QPID-5702.
----------------------------------

       Resolution: Fixed
    Fix Version/s:     (was: Future)
                   0.29

> upgrade JUnit version from 3.8.1 to 4.11
> ----------------------------------------
>
>                 Key: QPID-5702
>                 URL: https://issues.apache.org/jira/browse/QPID-5702
>             Project: Qpid
>          Issue Type: Improvement
>          Components: Build Tools
>            Reporter: Andrew MacBean
>            Assignee: Robbie Gemmell
>             Fix For: 0.29
>
>         Attachments: 0002-QPID-5702-Upgrade-Junit-version-from-3-to-4.patch, QPID-5702.patch
>
>   Original Estimate: 24h
>  Remaining Estimate: 24h
>
> Update the JUnit dependency version (in both ANT and Maven) from 3.8.1 to 4.11 and also
resolve the obvious warnings for use of deprecated packages and APIs.
> *Note:* this only updates the dependency and makes minimal changes to imports to avoid
deprecation warnings, it does not move the existing test cases to the newer JUnit 4 style
test process driven via annotations, that is a bigger change for a later time.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@qpid.apache.org
For additional commands, e-mail: dev-help@qpid.apache.org


Mime
View raw message